Create a new metadata descriptor with data provided in the request body. JSON format is expected. Validates data_type.
POST
/data/metadata-descriptors/
curl
curl -X POST "http://api.example.com/data/metadata-descriptors/" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"name": "Custom Field",
"field_name": "custom_field",
"data_type": "text",
"project_id": "a24a6ea4-ce75-4665-a070-57453082c25",
"entity_type": "Asset"
}'
import requests
url = "http://api.example.com/data/metadata-descriptors/"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json",
"Content-Type": "application/json"
}
params = {}
payload = {
"name": "Custom Field",
"field_name": "custom_field",
"data_type": "text",
"project_id": "a24a6ea4-ce75-4665-a070-57453082c25",
"entity_type": "Asset"
}
response = requests.post(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
curl \
--request POST 'http://api.example.com/data/metadata-descriptors/' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--data '{"name":"Custom Field","field_name":"custom_field","data_type":"text","project_id":"a24a6ea4-ce75-4665-a070-57453082c25","entity_type":"Asset"}'
Request examples
{
"name": "Custom Field",
"field_name": "custom_field",
"data_type": "text",
"project_id": "a24a6ea4-ce75-4665-a070-57453082c25",
"entity_type": "Asset"
}
Response examples (201)
{
"id": "a24a6ea4-ce75-4665-a070-57453082c25",
"name": "Custom Field",
"field_name": "custom_field",
"data_type": "text",
"project_id": "b24a6ea4-ce75-4665-a070-57453082c25",
"entity_type": "Asset",
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z"
}